package com.example.aped.utils;

import java.util.Dictionary;
import java.util.List;

public interface IXML {

    /**
     * reads the list of available devices from the XML.
     * @return the device names as a list of strings
     */
    List<String> getDeviceNames();

    /**
     * reads the port information of a given device from the XML.
     * @param deviceName the name of the relevant device
     * @return the value info as a Dictionary
     */
    Dictionary<String, Object> getPort(String deviceName);

    /**
     * Method to read the buffer size of a given device from the XML.
     * @param deviceName the name of the relevant device
     * @return the buffer size as an {@link Integer}
     */
    int getBufferSize(String deviceName);
}
